Skip to main content
POST
/
api
/
v1
/
projects
/
{id}
/
members
Add project member
curl --request POST \
  --url https://api.rafftechnologies.com/api/v1/projects/{id}/members \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "api_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "status": "pending",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "role": "<string>",
    "role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "role_name": "<string>",
    "invited_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "invited_at": "2023-11-07T05:31:56Z",
    "accepted_at": "2023-11-07T05:31:56Z",
    "invitation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "invitation_expires_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rafftechnologies.com/llms.txt

Use this file to discover all available pages before exploring further.

Updated May 8, 2026

Authorizations

X-API-Key
string
header
required

API key for authentication. Each key is bound to a specific account.

Path Parameters

id
string<uuid>
required

Project ID (UUID)

Body

application/json
role_id
string<uuid>
required
target_user_id
string<uuid>

User UUID to add. Must already be an account member. Mutually exclusive with api_key_id.

api_key_id
string<uuid>

API key UUID to grant access to this project. Mutually exclusive with target_user_id.

Response

Project member added

success
boolean
data
object
Last modified on May 8, 2026